org.jbpm.process.instance.timer

## Class TimerInstance

- java.lang.Object
- - org.jbpm.process.instance.timer.TimerInstance

- All Implemented Interfaces:
    Serializable

      public class TimerInstance
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimerInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getActivated()`
    `String` | `getCronExpression()`
    `long` | `getDelay()`
    `long` | `getId()`
    `org.drools.core.time.JobHandle` | `getJobHandle()`
    `Date` | `getLastTriggered()`
    `String` | `getName()`
    `long` | `getPeriod()`
    `long` | `getProcessInstanceId()`
    `int` | `getRepeatLimit()`
    `long` | `getSessionId()`
    `long` | `getTimerId()`
    `void` | `setActivated(Date activated)`
    `void` | `setCronExpression(String cronExpression)`
    `void` | `setDelay(long delay)`
    `void` | `setId(long id)`
    `void` | `setJobHandle(org.drools.core.time.JobHandle jobHandle)`
    `void` | `setLastTriggered(Date lastTriggered)`
    `void` | `setName(String name)`
    `void` | `setPeriod(long period)`
    `void` | `setProcessInstanceId(long processInstanceId)`
    `void` | `setRepeatLimit(int stopAfter)`
    `void` | `setSessionId(long sessionId)`
    `void` | `setTimerId(long timerId)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TimerInstance

          public TimerInstance()

  - ### Method Detail

    - #### getId

          public long getId()

    - #### setId

          public void setId(long id)

    - #### getTimerId

          public long getTimerId()

    - #### setTimerId

          public void setTimerId(long timerId)

    - #### getDelay

          public long getDelay()

    - #### setDelay

          public void setDelay(long delay)

    - #### getPeriod

          public long getPeriod()

    - #### setPeriod

          public void setPeriod(long period)

    - #### getJobHandle

          public org.drools.core.time.JobHandle getJobHandle()

    - #### setJobHandle

          public void setJobHandle(org.drools.core.time.JobHandle jobHandle)

    - #### getActivated

          public Date getActivated()

    - #### setActivated

          public void setActivated(Date activated)

    - #### setLastTriggered

          public void setLastTriggered(Date lastTriggered)

    - #### getLastTriggered

          public Date getLastTriggered()

    - #### getProcessInstanceId

          public long getProcessInstanceId()

    - #### setProcessInstanceId

          public void setProcessInstanceId(long processInstanceId)

    - #### getRepeatLimit

          public int getRepeatLimit()

    - #### setRepeatLimit

          public void setRepeatLimit(int stopAfter)

    - #### getSessionId

          public long getSessionId()

    - #### setSessionId

          public void setSessionId(long sessionId)

    - #### getCronExpression

          public String getCronExpression()

    - #### setCronExpression

          public void setCronExpression(String cronExpression)

    - #### setName

          public void setName(String name)

    - #### getName

          public String getName()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.